From: Maximiliano Curia <maxy@gnuservers.com.ar>
Date: Tue, 6 Nov 2018 18:20:24 +0100
Subject: Package might be gone

See PlasmoidPackageTest::noCrashOnAsyncInstall, and here the connect(PackageDeletionNotifier::self() set
package to nullptr, when the package is gone.
---
 src/kpackage/private/packagejob.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Index: kpackage/src/kpackage/private/packagejob.cpp
===================================================================
--- kpackage.orig/src/kpackage/private/packagejob.cpp
+++ kpackage/src/kpackage/private/packagejob.cpp
@@ -99,7 +99,7 @@ void PackageJob::setupNotificationsOnJob
     const QStringList serviceTypes = d->package->metadata().serviceTypes();
 
     auto onJobFinished = [=](bool ok, const QString &error) {
-        if (ok) {
+        if (ok && d->package != nullptr) {
             for (auto &packageType : serviceTypes) {
                 auto msg = QDBusMessage::createSignal(QStringLiteral("/KPackage/") + packageType, QStringLiteral("org.kde.plasma.kpackage"), messageName);
                 msg.setArguments({pluginId});
